%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name:		openconnect
Version:	3.15
%define subrel	2
Release:	%mkrel 2
Summary:	Open client for Cisco AnyConnect VPN
Group:		Networking/Other
License:	LGPLv2+
URL:		http://www.infradead.org/openconnect.html
Source:     ftp://ftp.infradead.org/pub/openconnect/openconnect-%{version}.tar.gz
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:  intltool
Patch100:       openconnect-3.15-fix-CVE-2012-3291.patch
Patch101:	openconnect-3.15-fix-CVE-2012-6128.patch
# the vpnc connect script is  needed
Requires:       vpnc

%description
This package provides a client for Cisco's "AnyConnect" VPN, which uses
HTTPS and DTLS protocols.

%package -n %libname
Summary: Runtime Library needed by %name
Group: System/Libraries

%description -n %libname
Runtime librairy for %name

%package -n %develname
Summary: Developements headers for %name
Group:	Development/C++
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%{name}-devel = %version-%release
Conflicts: %name-static-devel < 3.10

%description -n %develname
Headers files to build packages against %name

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

# Get ride of .la files
rm -rf %{buildroot}%{_libdir}/libopenconnect.la

%files -f %{name}.lang 
%doc TODO COPYING.LGPL openconnect.html
%{_sbindir}/%{name}
%{_mandir}/man8/*
%{_datadir}/%{name}

%files -n %libname
%{_libdir}/libopenconnect.so.%{major}*

%files -n %develname
%{_libdir}/libopenconnect.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h


%changelog

* Fri Feb 15 2013 luigiwalser <luigiwalser> 3.15-2.2.mga2
+ Revision: 398614
- rediff upstream patch to fix CVE-2012-6128

  + mikala <mikala>
    - Add patch100 to fix CVE-2012-3291 (Heap-based buffer overflow in OpenConnect 3.18 allows remote servers to cause a denial of service via a crafted greeting banner )

  + guillomovitch <guillomovitch>
    - requires vpnc for connection script
    - large spec cleanup: keep it consistent with other packages

* Mon Nov 28 2011 mikala <mikala> 3.15-1.mga2
+ Revision: 173328
- Open tarball to 3.15

* Mon Nov 21 2011 mikala <mikala> 3.14-1.mga2
+ Revision: 170413
- Update tarball to 3.14
- fix files list

* Wed Oct 05 2011 mikala <mikala> 3.13-1.mga2
+ Revision: 151583
- Update tarball to 3.13
- fix file list
- add missing BR

* Fri Sep 30 2011 mikala <mikala> 3.12-1.mga2
+ Revision: 150589
- Fix group
- Update tarball to 3.12
- switch to pkgconfig() BR
- remove %%clean section

* Sun Jul 17 2011 mikala <mikala> 3.10-1.mga2
+ Revision: 125261
- Update tarball to 3.10 ( see http://www.infradead.org/openconnect.html for changelog)
- Fix files list
- Remove static-devel package
- Remove .la files

* Fri May 06 2011 mikala <mikala> 3.02-1.mga1
+ Revision: 95639
- Remove BuildRoot
- imported package openconnect

